$('.owl-carousel-unidades').owlCarousel({
    autoplay:false,
    loop:false,
    nav:true,
    touchDrag  : false,
    mouseDrag  : false,
    margin:10,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            nav:false,
            dots:true,
            touchDrag  : true,
            mouseDrag  : true,
        },
        768:{
            items:3,
            nav:false,
            dots:true
        },
        1441:{
            items:3,
            dots:false
        }
    }
});

$('.owl-carousel-imagens').owlCarousel({
    autoplay:false,
    loop:false,
    touchDrag  : false,
    mouseDrag  : false,
    margin:0,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            loop:true,
            nav:false,
            dots: true
        }
    }
});

/*$('.owl-carousel-produtos').owlCarousel({
    autoplay:false,
    loop:false,
    nav:true,
    margin:10,
    autoplayHoverPause:true,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            nav:false,
            dots:true
        },
        768:{
            items:3,
            nav:false,
            dots:true
        },
        1441:{
            items:3,
            dots:false
        }
    }
});*/

//form captura
$('#formCapturaElleven').submit(function(e){
    
    e.preventDefault();
    e.stopPropagation();
     
    data = { 
        "link": $("input[name='link']").val(),
        "nome": $("input[name='nome']").val(), 
        "email": $("input[name='email']").val(),
        "telefone": $("input[name='telefone']").val()
    };
    
    loadButton($('#formCapturaElleven button.btn-enviar'));
	
	$.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/captura_interessado_lancamento",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{		
		    console.log("retorno por favor: ",retorno);
			if (retorno.valid == true)
			{
			    window.location.href = retorno.data.redirect;
			}
			else
			{
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formCapturaElleven .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formCapturaElleven .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	
});

$(".act-passeio-elleven").on("click", function(){
    $('.open-modal-passeio-elleven').modal('show');
    $('.open-modal-passeio-elleven .modal-body').scrollTop(0);
});

function clearForm(){
    $("input[name='email']").val("");
    $("input[name='telefone']").val("");
    
    loadButton(null,false);
    
    $('#formCapturaElleven .content_result').html("");
}